class harmonyCssPlugin {
  constructor(options) {
    this.options = options;
    this.htmlFilesSet = []
  }

  apply(compiler) {
    compiler.plugin('compilation', (compilation) => {
      compilation.plugin('html-webpack-plugin-after-html-processing', (htmlPluginData, callback) => {
        const css = `<style>
          html, body {
            overflow-y: hidden;
          }
          .weex-root {
            height: 100% !important;
            overflow-y: hidden;
          }
          .weex-scroller-wrapper {
            flex: 1 !important;
          }
          .weex-list-wrapper {
            flex: 1 !important;
          }
          .weex-scroller-horizontal .weex-scroller-inner {
            flex: 1;
            justify-content: space-around;
          }
          .weex-loading {
            /* position: static !important;
            bottom: 0 !important; */
          }
          input {
            outline: none;
          }
          .weex-scroller-parent {
            height: 100%;
          }
          ${this.options ? this.options.cssContent : ''}
        </style>`;

        htmlPluginData.html = htmlPluginData.html.replace('</head>', `${css}</head>`)
        
        callback(null, htmlPluginData);

      })
    })
  }
}

module.exports = harmonyCssPlugin;